Subject: Semantic conflict between x86 doc cleanup and CET shadow stack doc

From: Bagas Sanjaya <[email-masked]>
Date: Wed, 19 Apr 2023 16:33:17 +0700

Hi,

I see semantic conflict on next-20230418 between commit ff61f0791ce969 ("docs:
move x86 documentation into Documentation/arch/") and 54759b257eadb0
("Documentation/x86: Add CET shadow stack description"), which isn't noticed
when both jc_docs and tip trees were merged. The conflict triggers Sphinx table
of contents warnings:

Documentation/arch/x86/index.rst:7: WARNING: toctree contains reference to nonexisting document 'arch/x86/shstk'
Documentation/x86/shstk.rst: WARNING: document isn't included in any toctree

The fixup for the next merge window (when Linus pull both trees) should be
moving also CET shadow stack doc to Documentation/arch/x86/ (in line with
ff61f0791ce969).

Thanks.

-- 
An old man doll... just what I always wanted! - Clara